#!/bin/bash

# This folder will be the home dir of the user.
# As a result, his ssh key or other sensitive content (like .bash_history)
# will be stored there : 
HOME_SSH="lxc-homedir"

# This string shall point to the root of HTML pages in AlternC 
# This can either be a local dir like /var/lib/lxc/machine/rootfs/var/www/alternc/
# or a NFS mount like 10.1.2.3:/var/www/alternc/
DIR_HTML="/tmp/"
# Note for the previous variable: since this script is a shell script, you can 
# replace it with shell code which will choose the NFS mount depending on variable
# from xinetd, like REMOTE_HOST, which contains the IP address of the AlternC.
# Remember to allow NFS connections in your firewall between client and server
# and to properly install nfs server in AlternC machine, and nfs-common here.
# This one is an example only, of course:
#if [ "$REMOTE_HOST" = "10.1.0.43" ]
#then
#    DIR_HTML="10.2.1.100:/var/lib/lxc/ate/rootfs/var/www/alternc/"
#fi

# Put here any option you would like to add to the mount 
# command when mounting the html folder. 
# usually empty if nfs server, "-o bind" if local dir
MOUNT_HTML_PARAMETERS=" -o bind "
#MOUNT_HTML_PARAMETERS=""
